Package org.lwjgl.opengl

# Class AMDMultiDrawIndirect

java.lang.Object
org.lwjgl.opengl.AMDMultiDrawIndirect

public final class AMDMultiDrawIndirect extends Object

## Method Summary

Modifier and Type
Method
Description
`static void`
`glMultiDrawArraysIndirectAMD(int mode, long indirect_buffer_offset, int primcount, int stride)`
`static void`
`glMultiDrawArraysIndirectAMD(int mode, ByteBuffer indirect, int primcount, int stride)`
`static void`
`glMultiDrawArraysIndirectAMD(int mode, IntBuffer indirect, int primcount, int stride)`
Overloads glMultiDrawArraysIndirectAMD.
`static void`
`glMultiDrawElementsIndirectAMD(int mode, int type, long indirect_buffer_offset, int primcount, int stride)`
`static void`
`glMultiDrawElementsIndirectAMD(int mode, int type, ByteBuffer indirect, int primcount, int stride)`
`static void`
`glMultiDrawElementsIndirectAMD(int mode, int type, IntBuffer indirect, int primcount, int stride)`
Overloads glMultiDrawElementsIndirectAMD.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### glMultiDrawArraysIndirectAMD

public static void glMultiDrawArraysIndirectAMD(int mode, ByteBuffer indirect, int primcount, int stride)

### glMultiDrawArraysIndirectAMD

public static void glMultiDrawArraysIndirectAMD(int mode, long indirect_buffer_offset, int primcount, int stride)

### glMultiDrawArraysIndirectAMD

public static void glMultiDrawArraysIndirectAMD(int mode, IntBuffer indirect, int primcount, int stride)
Overloads glMultiDrawArraysIndirectAMD.

### glMultiDrawElementsIndirectAMD

public static void glMultiDrawElementsIndirectAMD(int mode, int type, ByteBuffer indirect, int primcount, int stride)

### glMultiDrawElementsIndirectAMD

public static void glMultiDrawElementsIndirectAMD(int mode, int type, long indirect_buffer_offset, int primcount, int stride)

### glMultiDrawElementsIndirectAMD

public static void glMultiDrawElementsIndirectAMD(int mode, int type, IntBuffer indirect, int primcount, int stride)
Overloads glMultiDrawElementsIndirectAMD.